1

Topic: Secure update iRedMail with iRedAdmin-Pro-MySQL

Hi Zhang,

I'm using iRedMail -0.7.1 with iRedAdmin-Pro-MySQL-1.2.1. I use the Debian platform.

Still not updated the version to iRedMail-0.7.2 because I have some domains in production on the server.

When upgrading the application packages are updated? Or just config files?

Because if I run the bash (. Sh) installation it will start a fresh installation, right? This can cause errors with the applications already installed / configured. Even the unused iRedAdmin standard but the Pro-MySQL.

What is the safest way to make this and future updades?

Tks,

Marcelo M.

2

Re: Secure update iRedMail with iRedAdmin-Pro-MySQL

M Martinatti wrote:

When upgrading the application packages are updated? Or just config files?

Upgrading iRedMail and iRedAdmin(-Pro) is just updating config files.

Since iRedMail installs binary packages from Linux/BSD official software repositories, you can simply upgrade binary packages with its built-in software management tools. e.g. 'yum upgrade' on RHEL/CentOS/Scientific Linux, 'apt-get update && apt-get upgrade' on Debian/Ubuntu, etc.

Do NOT execute iRedMail installer again, it will mess your system.

- Upgrade tutorials for iRedMail
- Upgrade tutorials for iRedAdmin-Pro

3

Re: Secure update iRedMail with iRedAdmin-Pro-MySQL

Dear,

I am using the Debian 6 distribution (Squeeze) with iRedMail-0.7.1 and iRedAdmin and MySQL-1.2.1.

I found that running the "apt-get upgrade" various binary system will be upgraded, including:

postfix postfix-mysql postfix-pcre python-apt python-apt-common

dovecot-common dovecot-imapd dovecot-pop3d

clamav clamav-base clamav-daemon clamav-freshclam

perl perl-base perl-modules php5-cli php5-common php5-gd php5-imap php5-ldap php5-mcrypt php5-mysql

This update can effectively the operation of my server? He is already in production with several active domain.

The periodic updates via the APT system is safe without interfering with the functioning of the applications used by iRedMail?

Tks

Marcelo M.

4

Re: Secure update iRedMail with iRedAdmin-Pro-MySQL

M Martinatti wrote:

dovecot-common dovecot-imapd dovecot-pop3d

Make sure dovecot will stay on same major version number. For example, you're running dovecot-1.2.x, then make sure new version is 1.2.x too. Because config syntax is different between v1.2 and v2.0.
Others are always safe to update directly.